<?php
// $Id: views_handler_adly.inc,v 1.1.2.1 2010/09/27 01:30:24 inadarei Exp $
/**
 * @file
 * Contains the adly style plugin.
 */
 
 
 /**
 * Inject ad.ly ads!
 */
class views_handler_adly extends views_handler_sort {
  function query() {
  }

 	/**
  * Set default options
  */
  function option_definition() {
    //$options = parent::option_definition();

    $options['adly_position'] = array('default' => 'top');

    return $options;
  }
  
   /**
   * Render the given filter's form.
   */
  function options_form(&$form, &$form_state) {
    //parent::options_form($form, $form_state);
    $form['adly_position'] = array(
      '#type' => 'radios',
      '#title' => t('Ad.ly Ads Position'),
      '#options' => array('top' => t('At the Top [$attachment_before tpl variable]'), 
      										'bottom' => t('At the Bottom [$attachment_after tpl variable]')),
      '#default_value' => $this->options['adly_position'],
    );
    
    //$form['adly_position']['#access'] = FALSE;
  }
  
  function admin_summary() {
    switch ($this->options['adly_position']) {
      case 'top':
      default:
        $type = t('Top');
        break;
      case 'bottom';
        $type = t('Bottom');
        break;
    }
    return '<span class="views-ascending"><span>' . $type . '</span></span>';
  }

}
